use async_graphql::{Context, FieldResult, Object};
use sqlx::postgres::PgPool;

use crate::domain::gruppe::{model::Gruppe, service::Service};

#[derive(Default)]
pub struct GruppeQuery {}

#[Object(extends)]
impl GruppeQuery {
    async fn gruppe<'a>(&self, ctx: &'a Context<'_>, id: uuid::Uuid) -> FieldResult<Gruppe> {
        todo!();
        // let pool = ctx.data::<PgPool>()?;
        //
        // Ok(row)
    }

    async fn gruppen<'a>(&self, ctx: &'a Context<'_>) -> FieldResult<Vec<Gruppe>> {
        let pool = ctx.data::<PgPool>()?;
        let rows = Service::new(pool.clone()).gruppe_alle().await?;
        Ok(rows)
    }
}
