pub mod benutzer;
pub mod gruppe;
pub mod hersteller;
pub mod modell;
pub mod typ;

use async_graphql::MergedObject;

#[derive(MergedObject, Default)]
pub struct Mutation(
    typ::TypMutation,
    hersteller::HerstellerMutation,
    modell::ModellMutation,
    benutzer::BenutzerMutation,
    gruppe::GruppeMutation,
);
